## sumo-src-1.25.0.tar.gz

=== src/netedit/elements/CMakeLists.txt ===
add_subdirectory(additional)
add_subdirectory(data)
add_subdirectory(demand)
add_subdirectory(moving)
add_subdirectory(network)

set(netedit_elements_SRCS
   GNEAttributeCarrier.cpp
   GNEAttributeCarrier.h
   GNECandidateElement.cpp
   GNECandidateElement.h
   GNEContour.cpp
   GNEContour.h
   GNEGeneralHandler.cpp
   GNEGeneralHandler.h
   GNEHierarchicalElement.cpp
   GNEHierarchicalElement.h
   GNEHierarchicalStructureChildren.cpp
   GNEHierarchicalStructureChildren.h
   GNEHierarchicalStructureParents.cpp
   GNEHierarchicalStructureParents.h
   GNEPathElement.cpp
   GNEPathElement.h
)

add_library(netedit_elements STATIC ${netedit_elements_SRCS})
set_property(TARGET netedit_elements PROPERTY PROJECT_LABEL "z_netedit_elements")

=== src/netedit/elements/demand/CMakeLists.txt ===
set(netedit_elements_demand_SRCS
   GNERouteHandler.h
   GNERouteHandler.cpp
   GNEPlanParents.h
   GNEPlanParents.cpp
   GNEDemandElement.h
   GNEDemandElement.cpp
   GNEDemandElementFlow.h
   GNEDemandElementFlow.cpp
   GNEDemandElementPlan.h
   GNEDemandElementPlan.cpp
   GNERoute.h
   GNERoute.cpp
   GNERouteRef.h
   GNERouteRef.cpp
   GNERouteDistribution.h
   GNERouteDistribution.cpp
   GNEVType.h
   GNEVType.cpp
   GNEVTypeRef.h
   GNEVTypeRef.cpp
   GNEVTypeDistribution.h
   GNEVTypeDistribution.cpp
   GNEVehicle.h
   GNEVehicle.cpp
   GNEStop.h
   GNEStop.cpp
   GNEStopPlan.h
   GNEStopPlan.cpp
   GNEPerson.h
   GNEPerson.cpp
   GNEPersonTrip.h
   GNEPersonTrip.cpp
   GNEWalk.h
   GNEWalk.cpp
   GNERide.h
   GNERide.cpp
   GNEContainer.h
   GNEContainer.cpp
   GNETranship.h
   GNETranship.cpp
   GNETransport.h
   GNETransport.cpp
   )

add_library(netedit_elements_demand STATIC ${netedit_elements_demand_SRCS})
set_property(TARGET netedit_elements_demand PROPERTY PROJECT_LABEL "z_netedit_elements_demand")

=== build_config/debian/changelog ===
sumo (1.23.1-1) noble; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 08 May 2025 10:01:03 +0200

sumo (1.22.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 04 Feb 2025 16:23:23 +0100

sumo (1.21.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 10 Oct 2024 10:55:02 +0200

sumo (1.20.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 May 2024 09:00:32 +0200

sumo (1.19.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 Nov 2023 09:42:20 +0100

sumo (1.18.0-1~kinetic) kinetic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 29 Jun 2023 09:17:39 +0200

sumo (1.17.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 25 Apr 2023 14:06:22 +0200

sumo (1.16.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 Feb 2023 08:42:45 +0100

sumo (1.15.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 08 Nov 2022 08:07:23 +0100

sumo (1.14.1-2) focal; urgency=medium

  * new upstream version
  * added eigen3

 -- Michael Behrisch <oss@behrisch.de>  Tue, 19 Jul 2022 09:22:45 +0200

sumo (1.14.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 12 Jul 2022 09:27:34 +0200

sumo (1.13.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 03 May 2022 09:01:33 +0200

sumo (1.12.0-6) focal; urgency=medium

  * added missing executables, headers and libs

 -- Michael Behrisch <oss@behrisch.de>  Thu, 10 Feb 2022 11:14:50 +0100

sumo (1.12.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 26 Jan 2022 09:21:33 +0100

sumo (1.11.0-4) focal; urgency=medium

  * fixing example runner

 -- Michael Behrisch <oss@behrisch.de>  Sun, 26 Dec 2021 10:43:24 +0100

sumo (1.11.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 23 Nov 2021 08:20:04 +0100

sumo (1.10.0+dfsg1-1~xenial) xenial; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 17 Aug 2021 09:27:20 +0200

sumo (1.9.1+dfsg1-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 04 May 2021 07:37:43 +0200

sumo (1.9.0+dfsg1-8) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 13 Apr 2021 11:22:48 +0200

sumo (1.8.0+dfsg1-2~focal) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 02 Dec 2020 10:55:01 +0100

sumo (1.7.0+dfsg1-2) bionic; urgency=medium

  * new upstream version
  * fixing CMAKE_BUILD_TYPE to Release
  * include userdoc in doc package and avoid gzipped examples

 -- Michael Behrisch <oss@behrisch.de>  Thu, 17 Sep 2020 18:27:13 +0200

sumo (1.6.0+dfsg1-1) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 29 Apr 2020 11:32:49 +0200

sumo (1.5.0+dfsg1-5) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Sun, 16 Feb 2020 08:51:34 +0000

sumo (1.4.0+dfsg1-5) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 10 Dec 2019 20:45:20 +0100

sumo (1.3.1+dfsg1-7) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Fri, 04 Oct 2019 09:14:25 +0200

sumo (1.2.0+dfsg1-14) bionic; urgency=medium

  * New upstream version
  * Using cmake build

 -- Michael Behrisch <oss@behrisch.de>  Tue, 16 Apr 2019 13:20:33 +0200

sumo (1.1.0+dfsg1-2) bionic; urgency=medium

  * added data dir
  * added profile scripts
  * using upstream desktop and icon file
  * license update

 -- Michael Behrisch <oss@behrisch.de>  Sun, 06 Jan 2019 18:26:58 +0000

sumo (1.1.0+dfsg1-1) bionic; urgency=medium

  * New version

 -- Michael Behrisch <oss@behrisch.de>  Sat, 05 Jan 2019 12:10:02 +0100

sumo (0.32.0+dfsg1-1) unstable; urgency=medium

  * New version

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Dec 2017 22:10:02 +0100

sumo (0.30.0+dfsg1-1) unstable; urgency=medium

  * New version

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Jul 2017 18:18:21 +0200

sumo (0.25.0+dfsg1-2) unstable; urgency=medium

  * [e0c661b] Add marouter and netedit to usr/bin.
              Thanks to Jakob Erdmann <namdre.sumo@googlemail.com>

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Jan 2016 19:30:02 +0100

sumo (0.25.0+dfsg1-1) unstable; urgency=medium

  * [c4a28a0] Imported Upstream version 0.25.0+dfsg1. (Closes: #802470)
  * [cf1cc2a] Refresh patches.
  * [f37c4fd] Refresh d/rules.
  * [566cd3b] Apply cme fix dpkg.
  * [8c9ea7f] Drop menu-file.
  * [05ad9d7] Add proper python-dependencies.
  * [21a0ed4] Update d/copyright.
  * [5e839de] Use system packaged OpenLayers.js.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jan 2016 22:29:34 +0100

sumo (0.24.0+dfsg1-1) unstable; urgency=medium

  * [420b439] Update d/watch.
  * [f72c31b] Refresh patches.
  * [c21b7b2] Remove old scripts.
  * [227569e] Imported Upstream version 0.24.0+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Sep 2015 21:38:47 +0200

sumo (0.23.0+dfsg1-2) unstable; urgency=medium

  * Move package from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 04 May 2015 21:26:14 +0200

sumo (0.23.0+dfsg1-2~exp1) experimental; urgency=medium

  * [de8037f] Drop msse2 buildfpags, unsupported by some platforms

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Apr 2015 21:00:43 +0200

sumo (0.23.0+dfsg1-1~exp1) experimental; urgency=medium

  * [aad3ecb] Update d/copyright.
  * [f68572e] Imported Upstream version 0.23.0+dfsg1
  * [006ec0e] Refresh patches.
  * [d6fdb64] Apply cme fix for d/control.


=== build_config/debian/control ===
Source: sumo
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: cmake,
               python3,
               python3-dev,
               python3-pip,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               freeglut3-dev,
               libgl1-mesa-dev,
               libgl-dev,
               help2man,
               libbz2-dev,
               libcups2-dev,
               libeigen3-dev,
               libfox-1.6-dev,
               libgdal-dev,
               libgl2ps-dev,
               libproj-dev,
               libxerces-c-dev | libxerces-c2-dev,
               libxrandr-dev,
               swig,
               maven,
               default-jdk,
               python3-matplotlib,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sumo.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sumo.git
Homepage: https://sumo.dlr.de/

Package: sumo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: sumo-tools
Description: Simulation of Urban MObility (SUMO)
 SUMO is an open source,
 highly portable, microscopic traffic simulation package
 designed to handle large road networks.
 Main binary.

Package: sumo-doc
Architecture: all
Section: doc
Depends: libjs-underscore,
         ${misc:Depends}
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), documentation and examples
 SUMO is an open source,
 highly portable, microscopic traffic simulation package
 designed to handle large road networks.
 The binary contains documentation and examples.

Package: sumo-tools
Architecture: all
Depends: jarwrapper,
         libjs-openlayers,
         python3,
         python3-pyproj,
         python3-rtree,
         ${misc:Depends}
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), tools and scripts
 SUMO is an open source,
 highly portable, microscopic traffic simulation package
 designed to handle large road networks.
 The binary contains different tools and scripts.
